#
# Copyright (c) 2019, NVIDIA CORPORATION.  All rights reserved.
#
# NVIDIA CORPORATION and its licensors retain all intellectual property
# and proprietary rights in and to this software, related documentation
# and any modifications thereto. Any use, reproduction, disclosure or
# distribution of this software and related documentation without an express
# license agreement from NVIDIA CORPORATION is strictly prohibited.
#

find_path(MEDIA_FOLDER "foam_bubbles.dds" 
    PATHS 
        "${CMAKE_CURRENT_SOURCE_DIR}/media"
        "${CMAKE_CURRENT_BINARY_DIR}/media")

if (NOT MEDIA_FOLDER)

    message(STATUS "Downloading media files")

    file(DOWNLOAD 
        "https://drive.google.com/uc?export=download&id=1b-AuHYe5lAb1wUhkP-CH0aXC1msZpr6Y"
        "${CMAKE_CURRENT_BINARY_DIR}/media.zip"
        SHOW_PROGRESS)

    execute_process(
        COMMAND ${CMAKE_COMMAND} -E tar xzf "${CMAKE_CURRENT_BINARY_DIR}/media.zip"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

    file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/media.zip")

    set(MEDIA_FOLDER "${CMAKE_BINARY_DIR}/media" CACHE PATH "Path to the media folder." FORCE)
endif()

message(STATUS "Found Media: ${MEDIA_FOLDER}")